commit:     808c234d1e4f6d5fed4d2ff5c77877e5e28b3490
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 10 05:00:18 2019 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Wed Apr 10 05:08:16 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=808c234d

dev-python/jsonpatch: 1.23 bump

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 dev-python/jsonpatch/Manifest              |  1 +
 dev-python/jsonpatch/jsonpatch-1.23.ebuild | 27 +++++++++++++++++++++++++++
 2 files changed, 28 insertions(+)

diff --git a/dev-python/jsonpatch/Manifest b/dev-python/jsonpatch/Manifest
index 6fbe40c34e4..fcf55357a12 100644
--- a/dev-python/jsonpatch/Manifest
+++ b/dev-python/jsonpatch/Manifest
@@ -1,3 +1,4 @@
 DIST jsonpatch-1.13.tar.gz 15119 BLAKE2B 
70ddb570451ac1f3d218de0f79f0a639eb922ce72084cf3bc7e89a3efedb85c6238293bf59608a51f07c33358dc0488550f982f122e89e2414ddfce26fe08c1f
 SHA512 
23f0c92c2c8834d5e3129e9ba78ece7da2646dd60d5b0522b0f09d83e20057ef7517042e5ee8547804185d3ce23cff394c8fe78df93fad7999fae12cc5467a45
 DIST jsonpatch-1.15.tar.gz 15544 BLAKE2B 
1b9facd2a88a997356aeace8ddec9011f4f3c4df812fb157cd22f1210ac2e2502e8b9e18e02ea477c869758cdfc1dd0b6b4c8d76ce59ffdd68d4db14c550b572
 SHA512 
c5df880764b14a2fb60bb46e319bf006644ce1472d0413cf08ad151cf386e5be9fec197fd9efe0bfc3aa22dadf4078344c11211c1e8a3d5cc3ddcb998795dc91
 DIST jsonpatch-1.21.tar.gz 15208 BLAKE2B 
88af93bfd7c317319d958bc3386f9551279af2fa9631c24c49231eb67398fd80f298e26957f232c9705219d4fa7033bb62f98b5d5391f6eb9f53113a1d351876
 SHA512 
dc902b750241833a68612430f07007080ed56dce8a7a4bdd1c042f944cd6cfdc03f4b422cc6bed6bc3b21ea390c5a281cd08181e27d6b57fc5fb657787c1d740
+DIST jsonpatch-1.23.tar.gz 18162 BLAKE2B 
86322a4de88d37eb674d28425d3aee4ad3b589c724b124f37f16e8303200c742404512b9c675f5b5eb8d8f7916469ebb7915bf289c8190092bcf48a1cb9ca7a0
 SHA512 
da612fc043e351087fbda26cd5686743107dafca1223e784626c39113dfb4770647db1420e9ab9eee93d12c608a6e0812f0825229ab092962cfb390b6b1795ed

diff --git a/dev-python/jsonpatch/jsonpatch-1.23.ebuild 
b/dev-python/jsonpatch/jsonpatch-1.23.ebuild
new file mode 100644
index 00000000000..072e9725cab
--- /dev/null
+++ b/dev-python/jsonpatch/jsonpatch-1.23.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} pypy )
+
+RESTRICT="test"
+
+inherit distutils-r1
+
+DESCRIPTION="Apply JSON-Patches like 
http://tools.ietf.org/html/draft-pbryan-json-patch-04";
+HOMEPAGE="https://github.com/stefankoegl/python-json-patch";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND=">=dev-python/jsonpointer-1.9[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( ${RDEPEND} )"
+
+python_test() {
+       "${PYTHON}" tests.py || die "Tests of tests.py fail with ${EPYTHON}"
+       "${PYTHON}" ext_tests.py || die "Tests of ext_tests.py fail with 
${EPYTHON}"
+}

Reply via email to